Bug 234506 - x11-fonts/py-fontmake: Update to 1.8.0, Update dependents
Summary: x11-fonts/py-fontmake: Update to 1.8.0, Update dependents
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-12-30 17:35 UTC by Ting-Wei Lan
Modified: 2019-05-10 16:12 UTC (History)
2 users (show)

See Also:
lantw44: maintainer-feedback+


Attachments
Update x11-fonts/py-fontmake to 1.8.0 and update its dependencies (11.89 KB, patch)
2018-12-30 17:35 UTC, Ting-Wei Lan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2018-12-30 17:35:54 UTC
Created attachment 200626 [details]
Update x11-fonts/py-fontmake to 1.8.0 and update its dependencies

This patch includes the following updates:

math/py-MutatorMath: 2.1.1 -> 2.1.2
x11-fonts/py-booleanOperations: 0.8.0 -> 0.8.2
x11-fonts/py-cu2qu: 1.6.4 -> 1.6.5
x11-fonts/py-defcon: 0.5.3 -> 0.6.0
x11-fonts/py-fontMath: 0.4.7 -> 0.4.9
x11-fonts/py-fontmake: 1.7.5 -> 1.8.0
x11-fonts/py-glyphsLib: 3.1.2 -> 3.1.4
x11-fonts/py-ufo2ft: 2.4.0 -> 2.5.0
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-31 05:19:27 UTC
Are these (dependents) version updates *required* to support the changes here, or can they be done separately?

Confirmation of QA (portlint, poudriere at least) is also particularly important for this scope of change
Comment 2 Ting-Wei Lan 2018-12-31 09:21:11 UTC
(In reply to Kubilay Kocak from comment #1)
Yes, they are all required, and it can be checked with version numbers listed in RUN_DEPENDS in Makefiles. All version requirements were taken from setup.py of each project.

All ports I updated here were committed to ports at the same time as fontmake, so they shouldn't have many other ports depending on it. They were added to ports just 2 weeks ago.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-31 09:24:09 UTC
(In reply to Ting-Wei Lan from comment #2)

If you are maintainer for all these ports, please set maintainer-approval on the attachment to +.

If you are not, please set maintainer-approval to ? <maintainer-email> on the attachment multiple times for each port that has a different maintainer so they can approve the changes.
Comment 4 commit-hook freebsd_committer 2019-05-10 16:11:34 UTC
A commit references this bug:

Author: swills
Date: Fri May 10 16:11:05 UTC 2019
New revision: 501186
URL: https://svnweb.freebsd.org/changeset/ports/501186

Log:
  x11-fonts/py-fontmake: Update to 1.8.0, Update dependents

  PR:		234506
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com> (maintainer)

Changes:
  head/math/py-MutatorMath/Makefile
  head/math/py-MutatorMath/distinfo
  head/x11-fonts/py-booleanOperations/Makefile
  head/x11-fonts/py-booleanOperations/distinfo
  head/x11-fonts/py-cu2qu/Makefile
  head/x11-fonts/py-cu2qu/distinfo
  head/x11-fonts/py-defcon/Makefile
  head/x11-fonts/py-defcon/distinfo
  head/x11-fonts/py-fontMath/Makefile
  head/x11-fonts/py-fontMath/distinfo
  head/x11-fonts/py-fontmake/Makefile
  head/x11-fonts/py-fontmake/distinfo
  head/x11-fonts/py-glyphsLib/Makefile
  head/x11-fonts/py-glyphsLib/distinfo
  head/x11-fonts/py-ufo2ft/Makefile
  head/x11-fonts/py-ufo2ft/distinfo
Comment 5 Steve Wills freebsd_committer 2019-05-10 16:12:11 UTC
Committed, thanks!